local AllianceShowHelpMessage = BaseClass("AllianceShowHelpMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.AllianceHelpDataManager:UpdateHelpInfoList(t)
    EventManager:GetInstance():Broadcast(EventId.UpdateAllianceHelpNum)
  end
end
AllianceShowHelpMessage.OnCreate = OnCreate
AllianceShowHelpMessage.HandleMessage = HandleMessage
return AllianceShowHelpMessage
